#!/usr/bin/bash

set -e

if [ ! -d "$HOME/.alephone/gamefiles/Eternal 1.1.0" ]; then
    /usr/share/autodl/AutoDL.py /usr/share/AlephOne/eternal.autodlrc
    RET=$?
    # 0: download OK, user wants to start game
    # 2: download OK, user does not want to start game
    if [ "$RET" = "0" -o "$RET" = "2" ]; then
	cd $HOME/.alephone/gamefiles/
	unzip -u EternalXv110Full.zip
	rm -rf EternalXv110Full.zip
    fi
    if [ "$RET" != "0" ]; then
	exit $RET
    fi
fi
exec /usr/bin/alephone "$HOME/.alephone/gamefiles/Eternal 1.1.0"



